### Signal

# Gtk SpinButton::change-value

#### Declaration

    void
    change_value (
      GtkSpinButton self,
      GtkScrollType* scroll,
      gpointer user_data
    )

#### Description [src]

Emitted when the user initiates a value change.

This is a keybinding signal.

Applications should not connect to it, but may emit it with g_signal_emit_by_name() if they need to control the cursor programmatically.

The default bindings for this signal are Up/Down and PageUp/PageDown.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be emitted directly

#### Parameters

`scroll` | `GtkScrollType`
| A `GtkScrollType` to specify the speed and amount of change.
| The data is owned by the caller of the function.